Reverse IFSC Lookup API

A Reverse IFSC Lookup API allows users to search using a bank name and branch name to retrieve matching bank branches along with their corresponding IFSC codes and related branch details.

API Details

Request URL

POST
https://g99.in/api/public/ifsc/reverse_lookup
Copied!

Request Body Parameters

Type Name Optional Description
String bankCode Required Unique branch code taht assigned for each banks. refer to IFSC Bank Names API.
String branch Required Targetted Branch name.

Sample Request Payload

request.json
Copied!
{
  "bankCode": "121212",
  "branch": "EGMORE"
}

Request Header Parameters

Type Name Value / Description Optional
String Content-Type application/json Required

Sample Code

request.php
Copied!
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://g99.in/api/public/ifsc/reverse_lookup',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "bankCode": "121212",
  "branch": "EGMORE"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
request.py
Copied!
import requests
import json

url = "https://g99.in/api/public/ifsc/reverse_lookup"

payload = json.dumps({
  "bankCode": "121212",
  "branch": "EGMORE"
})
headers = {
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
request.cs
Copied!
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://g99.in/api/public/ifsc/reverse_lookup");
var content = new StringContent("{\r\n  \"bankCode\": \"121212\",\r\n  \"branch\": \"EGMORE\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());

Response

HTTP status code 200

Key Type Description
Branches String Name of the bank branch linked to the IFSC code.
IFSC_Code String IFSC (Indian Financial System Code) for a bank branch.

Sample Response

Sample response for valid document

response.json
Copied!
{
    "1": {
        "Branches": "EGMORE",
        "IFSC_Code": "UTIB0000780"
    }
}

Error Response

Parameter Type Description
status Number Unique error codes for different errors. Always available.
message String Error message describing the error. Always Available.
error Boolean True / False for different errors. Always available.

Error Codes

HTTP Status Error Code Error Message
200 2001 No data found.
400 4001 Malformed data or missing required parameter values.
400 4002 Invalid IFSC Code.
500 5001 Request could not be processed. Please try again later.

Sample Error Response

response.json
Copied!
{
  "message": "Malformed data or missing required parameter values.",
  "status": 4001,
  "error": True
}